Index: /trunk/i18n/Ukrainian.ts
===================================================================
--- /trunk/i18n/Ukrainian.ts	(revision 26)
+++ /trunk/i18n/Ukrainian.ts	(revision 27)
@@ -345,18 +391,48 @@
     <name>SettingsDialog</name>
     <message>
+        <location filename="../ui/settingsdialog.ui" line="41"/>
+        <source>background-color: #0080C0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <source>Print settings:</source>
+        <translation>Налагодження друку:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="249"/>
+        <source>&amp;Left margin:</source>
+        <translation>&amp;Лівий відступ:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="262"/>
+        <source>Left border margin for page</source>
+        <translation>Лівий відступ від межі сторінки під час друку</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="329"/>
+        <source>Restore main window state and position on application restart</source>
+        <translation>Відновлювати стан та розмір головного вікна пысля перезапуску додатку</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="332"/>
+        <source>Save main window state and position</source>
+        <translation>Зберегти стан та розміщення головного вікна</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="403"/>
+        <source>Hover mouse pointer over dialog elements to get additional help</source>
+        <translation>Наведіть покажчик миші на елемент ділогу, щоб отримати підказку</translation>
+    </message>
+    <message>
         <location filename="../ui/settingsdialog.ce.ui" line="14"/>
         <location filename="../ui/settingsdialog.ui" line="14"/>
-        <source>Параметры</source>
+        <source>Preferences</source>
         <translation>Параметри</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="41"/>
-        <source>background-color: #0080C0</source>
-        <translation>background-color: #0080C0</translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="100"/>
         <location filename="../ui/settingsdialog.ui" line="151"/>
-        <source>Случайные значения:</source>
+        <source>Random values:</source>
         <translation>Випадкові значення:</translation>
     </message>
@@ -364,119 +440,86 @@
         <location filename="../ui/settingsdialog.ce.ui" line="114"/>
         <location filename="../ui/settingsdialog.ui" line="165"/>
-        <source>Ми&amp;нимум:</source>
-        <translation>Мі&amp;німум:</translation>
+        <source>&amp;Minimal:</source>
+        <translation>&amp;Мінімум:</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
+        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <source>Minimum for random number generation</source>
+        <translation>Нажня межа для генерації випадкових значень</translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="150"/>
         <location filename="../ui/settingsdialog.ui" line="201"/>
-        <source>&amp;Максимум:</source>
-        <translation>&amp;Максимум:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <source>Настройки печати:</source>
-        <translation>Налагодження друку:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="243"/>
-        <source>&amp;Левый отступ:</source>
-        <translation>&amp;Лівий відступ:</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
-        <location filename="../ui/settingsdialog.ui" line="280"/>
-        <source>&amp;Шрифт...</source>
-        <translation>&amp;Шрифт...</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="302"/>
-        <source>Сохранять состояние и положение главного окна</source>
-        <translation>Зберегти стан та розміщення головного вікна</translation>
-    </message>
-    <message>
-        <source>Подсказка</source>
-        <translation type="obsolete">Підказка</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="353"/>
-        <location filename="../ui/settingsdialog.ui" line="395"/>
-        <source>&amp;OK</source>
-        <translation>&amp;OK</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="373"/>
-        <location filename="../ui/settingsdialog.ui" line="415"/>
-        <source>&amp;Отмена</source>
-        <translation>&amp;Скасувати</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="320"/>
-        <location filename="../ui/settingsdialog.ui" line="350"/>
-        <source>Помощь</source>
-        <translation>Допомога</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="317"/>
-        <location filename="../ui/settingsdialog.ui" line="347"/>
-        <source>Получить помощь по настройкам</source>
-        <translation>Отримати допомогу по налагодженням</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
-        <location filename="../ui/settingsdialog.ui" line="178"/>
-        <source>Нижняя граница для генерации случайных значений</source>
-        <translation type="unfinished"></translation>
+        <source>Ma&amp;ximal:</source>
+        <translation>М&amp;аксимум:</translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="163"/>
         <location filename="../ui/settingsdialog.ui" line="214"/>
-        <source>Верхняя граница для генерации случайных значений</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="256"/>
-        <source>Размер отступа от левого края страницы</source>
-        <translation type="unfinished"></translation>
+        <source>Maximum for random number generation</source>
+        <translation>Верхня межа для генерації випадкових значень</translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="202"/>
-        <location filename="../ui/settingsdialog.ui" line="277"/>
-        <source>Задать параметры шрифта, используемого при печати</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="252"/>
-        <source>Сохранять состояние и
-положение главного окна</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="314"/>
-        <location filename="../ui/settingsdialog.ui" line="344"/>
-        <source>Справка</source>
-        <translation>Довідка</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="350"/>
-        <location filename="../ui/settingsdialog.ui" line="392"/>
-        <source>Сохранить новые параметры</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="370"/>
-        <location filename="../ui/settingsdialog.ui" line="412"/>
-        <source>Закрыть окно без сохранения параметров</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="249"/>
-        <location filename="../ui/settingsdialog.ui" line="299"/>
-        <source>Восстанавливать состояние и размеры окна после перезапуска программы</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="370"/>
-        <source>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</source>
-        <translation type="unfinished"></translation>
+        <location filename="../ui/settingsdialog.ui" line="288"/>
+        <source>Font color for printing</source>
+        <translation>Колір шрифта для друку</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
+        <location filename="../ui/settingsdialog.ui" line="291"/>
+        <source>&amp;Color...</source>
+        <translation>&amp;Колір...</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="219"/>
+        <location filename="../ui/settingsdialog.ui" line="305"/>
+        <source>Font face for printing</source>
+        <translation>Вигляд шрифта для друку</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="222"/>
+        <location filename="../ui/settingsdialog.ui" line="308"/>
+        <source>&amp;Font...</source>
+        <translation>&amp;Шрифт...</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="287"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="293"/>
+        <location filename="../ui/settingsdialog.ui" line="377"/>
+        <location filename="../ui/settingsdialog.ui" line="383"/>
+        <source>Help</source>
+        <translation>Допомога</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="290"/>
+        <location filename="../ui/settingsdialog.ui" line="380"/>
+        <source>Get preferences help</source>
+        <translation>Отримати допомогу по налагодженням</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="323"/>
+        <location filename="../ui/settingsdialog.ui" line="425"/>
+        <source>Save new preferences</source>
+        <translation>Зберегти нові параметри</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="326"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <source>&amp;OK</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="343"/>
+        <location filename="../ui/settingsdialog.ui" line="445"/>
+        <source>Close without saving preferences</source>
+        <translation>Закрити вікно без збереження параметрів</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="448"/>
+        <source>&amp;Cancel</source>
+        <translation>&amp;Скасувати</translation>
     </message>
 </context>
Index: /trunk/src/defines.h
===================================================================
--- /trunk/src/defines.h	(revision 26)
+++ /trunk/src/defines.h	(revision 27)
@@ -33,3 +33,15 @@
 #define DEF_FONT_COLOR Qt::black
 
+// Decided, that static array with 100 of cities maximum hard limit
+// will be enough for most cases, but the code will be simplier than
+// when using dynamic lists. If you need more, just change this value
+// and recompile the program ;-)
+#define MAX_CITIES 100
+// This value means infinity :-)
+#ifndef INFINITY
+	#define INFINITY 1.7E+308
+#endif
+// This is string, which represents infinite value in table
+#define INFSTR "-----"
+
 #endif // DEFINES_H
Index: /trunk/src/main.cpp
===================================================================
--- /trunk/src/main.cpp	(revision 26)
+++ /trunk/src/main.cpp	(revision 27)
@@ -33,17 +33,13 @@
 	app.setOrganizationDomain("www.leppsville.com");
 	app.setApplicationName("TSPSG");
-/*/ i18n
-// TODO: Make English as program's "native" language
+// i18n
+// TODO: Language selection in application.
+// TODO: Saving and restoring selected language.
 QTextCodec::setCodecForTr(QTextCodec::codecForName("utf8"));
 QString locale = QLocale::languageToString(QLocale::system().language());
 QTranslator translator;
-	// Getting current locale languge name and trying to load it
-	if (translator.load(locale,"i18n"))
+	// Getting current locale language name and trying to load it, if it's not English
+	if (locale.compare("English") && translator.load(locale,"i18n"))
 		app.installTranslator(&translator);
-	// If language loading failed and locale language is not
-	// application's "native" we're trying to load English
-	else if (locale.compare("Russian") && translator.load("English","i18n"))
-		app.installTranslator(&translator);
-//*/
 MainWindow mainwindow;
 	mainwindow.show();
Index: /trunk/src/mainwindow.cpp
===================================================================
--- /trunk/src/mainwindow.cpp	(revision 26)
+++ /trunk/src/mainwindow.cpp	(revision 27)
@@ -26,5 +26,4 @@
 	#include <QPrintDialog>
 #endif // Q_OS_WINCE
-#include "defines.h"
 #include "mainwindow.h"
 
@@ -124,5 +123,5 @@
 			row[c] = tspmodel->index(r,c).data(Qt::UserRole).toDouble(&ok);
 			if (!ok) {
-				QMessageBox(QMessageBox::Critical,trUtf8("Ошибка в данных"),QString(trUtf8("Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.")).arg(r + 1).arg(c + 1),QMessageBox::Ok,this).exec();
+				QMessageBox(QMessageBox::Critical,trUtf8("Data error"),QString(trUtf8("Error in cell [Row %1; Column %2]: Invalid data format.")).arg(r + 1).arg(c + 1),QMessageBox::Ok,this).exec();
 				return;
 			}
@@ -133,5 +132,5 @@
 sStep *root = solver.solve(spinCities->value(),matrix);
 	if (!root)
-		QMessageBox(QMessageBox::Critical,trUtf8("Ошибка при решении"),trUtf8("Во время решения задачи возникла ошибка"),QMessageBox::Ok,this).exec();
+		QMessageBox(QMessageBox::Critical,trUtf8("Solution error"),trUtf8("There was an error while solving the task."),QMessageBox::Ok,this).exec();
 	// tabWidget->setCurrentIndex(1);
 }
@@ -147,5 +146,5 @@
 \n\
 TSPSG is licensed under the terms of the GNU General Public License. You should have received a copy of the GNU General Public License along with TSPSG.").arg(QDate().toString("%Y"),QT_VERSION_STR,qVersion());
-	QMessageBox(QMessageBox::Information,"About",about).exec();
+	QMessageBox(QMessageBox::Information,"About",about,QMessageBox::Ok,this).exec();
 }
 
Index: /trunk/src/tspmodel.cpp
===================================================================
--- /trunk/src/tspmodel.cpp	(revision 26)
+++ /trunk/src/tspmodel.cpp	(revision 27)
@@ -23,5 +23,4 @@
 
 #include <QtGui>
-#include "defines.h"
 #include "tspmodel.h"
 
@@ -51,5 +50,5 @@
 	if (role == Qt::DisplayRole)
 		if (orientation == Qt::Vertical)
-			return trUtf8("Город %1").arg(section + 1);
+			return trUtf8("City %1").arg(section + 1);
 		else
 			return trUtf8("%1").arg(section + 1);
Index: /trunk/src/tspmodel.h
===================================================================
--- /trunk/src/tspmodel.h	(revision 26)
+++ /trunk/src/tspmodel.h	(revision 27)
@@ -25,18 +25,7 @@
 #define TSPMODEL_H
 
-// Decided, that static array with 100 of cities maximum hard limit
-// will be enough for most cases, but the code will be simplier than
-// when using dynamic lists. If you need more, just change this value
-// and recompile the program ;-)
-#define MAX_CITIES 100
-// This value means infinity :-)
-#ifndef INFINITY
-	#define INFINITY 1.7E+308
-#endif
-// This is string, which represents infinite value in table
-#define INFSTR "---"
-
 #include <QAbstractTableModel>
 #include <QSettings>
+#include "defines.h"
 
 class CTSPModel: public QAbstractTableModel
Index: /trunk/tspsg.pri
===================================================================
--- /trunk/tspsg.pri	(revision 26)
+++ /trunk/tspsg.pri	(revision 27)
@@ -38,3 +38,4 @@
 CODECFORTR = UTF-8
 TRANSLATIONS += i18n/English.ts \
+	i18n/Russian.ts \
 	i18n/Ukrainian.ts
Index: /trunk/ui/mainwindow.ce.ui
===================================================================
--- /trunk/ui/mainwindow.ce.ui	(revision 26)
+++ /trunk/ui/mainwindow.ce.ui	(revision 27)
@@ -3,4 +3,7 @@
  <class>MainWindow</class>
  <widget class="QMainWindow" name="MainWindow">
+  <property name="enabled">
+   <bool>true</bool>
+  </property>
   <property name="geometry">
    <rect>
@@ -12,5 +15,5 @@
   </property>
   <property name="windowTitle">
-   <string>Задача коммивояжера</string>
+   <string>Travelling salesman problem</string>
   </property>
   <property name="windowIcon">
@@ -51,5 +54,5 @@
     <widget class="QWidget" name="tabTask">
      <attribute name="title">
-      <string>Задача</string>
+      <string>Task</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout">
@@ -72,5 +75,5 @@
          <widget class="QLabel" name="labelVariant">
           <property name="text">
-           <string>&amp;Вариант:</string>
+           <string>&amp;Variant:</string>
           </property>
           <property name="buddy">
@@ -85,5 +88,5 @@
           </property>
           <property name="statusTip">
-           <string>Номер варианта</string>
+           <string>Number of variant</string>
           </property>
           <property name="minimum">
@@ -95,5 +98,5 @@
          <widget class="QLabel" name="labelCities">
           <property name="text">
-           <string>&amp;Городов:</string>
+           <string>&amp;Cities:</string>
           </property>
           <property name="buddy">
@@ -108,5 +111,5 @@
           </property>
           <property name="statusTip">
-           <string>Количество городов, которые обходит коммивояжер</string>
+           <string>Number of cities</string>
           </property>
           <property name="minimum">
@@ -139,5 +142,5 @@
        <widget class="QTableView" name="taskView">
         <property name="statusTip">
-         <string>Стоимости переходов/переездов из города в город</string>
+         <string>Cost of travel from city to city</string>
         </property>
         <property name="selectionMode">
@@ -167,8 +170,8 @@
           </property>
           <property name="statusTip">
-           <string>Заполнить таблицу случайными значениями</string>
+           <string>Fill table with random numbers</string>
           </property>
           <property name="text">
-           <string>Случайно</string>
+           <string>Random</string>
           </property>
          </widget>
@@ -180,8 +183,8 @@
           </property>
           <property name="statusTip">
-           <string>Решить текущую задачу</string>
+           <string>Solve current task</string>
           </property>
           <property name="text">
-           <string>Решить</string>
+           <string>Solve</string>
           </property>
           <property name="icon">
@@ -197,5 +200,5 @@
     <widget class="QWidget" name="tabSolution">
      <attribute name="title">
-      <string>Решение</string>
+      <string>Solution</string>
      </attribute>
      <layout class="QVBoxLayout" name="_4">
@@ -214,5 +217,5 @@
           </property>
           <property name="statusTip">
-           <string>Ход решения</string>
+           <string>Solution steps</string>
           </property>
           <property name="readOnly">
@@ -224,5 +227,5 @@
          <widget class="QGraphicsView" name="graphicsView">
           <property name="statusTip">
-           <string>Граф решения</string>
+           <string>Solution graph</string>
           </property>
          </widget>
@@ -250,5 +253,5 @@
     </property>
     <property name="title">
-     <string>&amp;Файл</string>
+     <string>&amp;File</string>
     </property>
     <widget class="QMenu" name="menuFileSave">
@@ -257,5 +260,5 @@
      </property>
      <property name="title">
-      <string>Со&amp;хранить</string>
+      <string>&amp;Save</string>
      </property>
      <property name="icon">
@@ -277,5 +280,5 @@
    <widget class="QMenu" name="menuSettings">
     <property name="title">
-     <string>&amp;Настройки</string>
+     <string>&amp;Settings</string>
     </property>
     <addaction name="actionSettingsSettings"/>
@@ -283,5 +286,5 @@
    <widget class="QMenu" name="menuHelp">
     <property name="title">
-     <string>&amp;Помощь</string>
+     <string>&amp;Help</string>
     </property>
     <addaction name="actionHelpContents"/>
@@ -323,8 +326,11 @@
    </property>
    <property name="text">
-    <string>&amp;Ход решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только хоод решения</string>
+    <string>Solution st&amp;eps</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution steps</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps only</string>
    </property>
   </action>
@@ -334,8 +340,11 @@
    </property>
    <property name="text">
-    <string>&amp;Граф решения</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить только граф решения</string>
+    <string>Solution &amp;graph</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution graph</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution graph only</string>
    </property>
   </action>
@@ -345,8 +354,11 @@
    </property>
    <property name="text">
-    <string>&amp;Решение</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить ход и граф решения</string>
+    <string>&amp;Solution</string>
+   </property>
+   <property name="toolTip">
+    <string>Save solution</string>
+   </property>
+   <property name="statusTip">
+    <string>Save solution steps and graph</string>
    </property>
   </action>
@@ -357,8 +369,14 @@
    </property>
    <property name="text">
-    <string>&amp;Создать</string>
-   </property>
-   <property name="statusTip">
-    <string>Создать новую задачу</string>
+    <string>&amp;New</string>
+   </property>
+   <property name="iconText">
+    <string>New</string>
+   </property>
+   <property name="toolTip">
+    <string>New task</string>
+   </property>
+   <property name="statusTip">
+    <string>Create new task</string>
    </property>
    <property name="shortcut">
@@ -367,4 +385,7 @@
   </action>
   <action name="actionFileOpen">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -372,11 +393,14 @@
    </property>
    <property name="text">
-    <string>&amp;Открыть</string>
+    <string>&amp;Open...</string>
+   </property>
+   <property name="iconText">
+    <string>Open...</string>
    </property>
    <property name="toolTip">
-    <string>Открыть задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Открыть сохраненное условие задачи</string>
+    <string>Open task</string>
+   </property>
+   <property name="statusTip">
+    <string>Open saved task</string>
    </property>
    <property name="shortcut">
@@ -390,11 +414,17 @@
    </property>
    <property name="text">
-    <string>&amp;Параметры</string>
-   </property>
-   <property name="statusTip">
-    <string>Настройка параметров программмы</string>
+    <string>&amp;Preferences...</string>
+   </property>
+   <property name="iconText">
+    <string>Preferences...</string>
+   </property>
+   <property name="statusTip">
+    <string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -402,11 +432,14 @@
    </property>
    <property name="text">
-    <string>&amp;Содежание</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать справку по программе</string>
+    <string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+    <string>Open help contents</string>
    </property>
   </action>
   <action name="actionHelpContextual">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -414,8 +447,8 @@
    </property>
    <property name="text">
-    <string>&amp;Контекстная справка</string>
-   </property>
-   <property name="statusTip">
-    <string>Вызвать контекстную справку</string>
+    <string>&amp;Context help</string>
+   </property>
+   <property name="statusTip">
+    <string>Open context help</string>
    </property>
   </action>
@@ -426,8 +459,11 @@
    </property>
    <property name="text">
-    <string>&amp;Про...</string>
-   </property>
-   <property name="statusTip">
-    <string>Получить информацию о программе</string>
+    <string>&amp;About...</string>
+   </property>
+   <property name="iconText">
+    <string>About...</string>
+   </property>
+   <property name="statusTip">
+    <string>About application</string>
    </property>
   </action>
@@ -438,11 +474,14 @@
    </property>
    <property name="text">
-    <string>В&amp;ыход</string>
-   </property>
-   <property name="statusTip">
-    <string>Выйти из программы</string>
+    <string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+    <string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveTask">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -450,14 +489,14 @@
    </property>
    <property name="text">
-    <string>&amp;Задачу</string>
+    <string>&amp;Task...</string>
    </property>
    <property name="iconText">
-    <string>Сохранить</string>
+    <string>Task...</string>
    </property>
    <property name="toolTip">
-    <string>Сохранить задачу</string>
-   </property>
-   <property name="statusTip">
-    <string>Сохранить условие задачи в файл</string>
+    <string>Save task</string>
+   </property>
+   <property name="statusTip">
+    <string>Save task to file</string>
    </property>
    <property name="shortcut">
